Subject: Re: linux-next: manual merge of the lightnvm tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Mon, 21 Nov 2016 21:56:00 -0700

On 11/21/2016 08:59 PM, Stephen Rothwell wrote:
> Hi Matias,
>
> Today's linux-next merge of the lightnvm tree got a conflict in:
>
>   drivers/nvme/host/lightnvm.c
>
> between commit:
>
>   409ae5a76e05 ("lightnvm: invalid offset calculation for lba_shift")
>
> from Linus' tree and commit:
>
>   2db3cb58a3dd ("nvme: lightnvm: attach lightnvm sysfs to nvme block device")
>
> from the lightnvm tree.
>
> I fixed it up (I just used the latter version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise
> any particularly complex conflicts.

Matias, you should base your branches on mine to avoid situations like
this. And additionally, submit them for inclusion if they are targeted
at 4.10 (and I'm thinking they are, if they are in linux-next).

-- 
Jens Axboe